.TH XSYSINFO 1 "16 Apr 1996" "X Version 11"
.SH NAME
xsysinfo - display FreeBSD system states (cpu, load, memory, swap, disk I/O,
network packets, NFS client/server) statistics.
.SH SYNTAX
\fBxsysinfo\fP [\fI -toolkitoption\fP ... ] [\fI -nice\fP nice_value ] 
 [\fI -count\fP iterations ] [\fI -interval\fP seconds ] [\fI -nocpu \fP]
 [\fI -noload \fP] [\fI -nomem \fP] [\fI -noswap \fP] [\fI -nodisk \fP]
 [\fI -nopkt \fP] [\fI -nonfs \fP]
 [\fI -filltype\fP auto|grayscale|color|tile|stipple ] 
 [\fI -colors\fP colorname[,colorname[,...]] ] 
.SH DESCRIPTION
.I Xsysinfo
displays bars showing the percentage of system statistics :
.PP
CPU : The time of the CPU spends in different states. The colors mean :
Red:system,  Yellow:Interrupt,  Green:Nice, Blue:User.
.PP
Load: The load of the system, each scale (color) means load 1.  Multi-colors
based on the load.
.PP
Memory: The memory status of the system, the colors mean :
Red:Active,  Yellow:Inactive,  Purple:Wired,  Green:Cache,  White:Free
.PP
Swap: Gray:used swap,  White:free swap.  Swap only refresh every 10 intervals.
.PP
Disk: Disk I/O load, multi-colors based on the load.
.PP
Packet: The average of the input+output packets, multi-colors based on the load
, and the Collisions are in black.
.PP
NFS: The load of NFS client and NFS server, multi-colors based on the load.
.PP
What does multi-colors mean ?!  Because some informations (such as load,
network packets, disk I/O) are bursty, if I give them a fix scale, the
bar will be insensitive.  So, when the load become heavy, the bar will be
divided into parts by colors...Assume you see  "\fIXXXXOOOOZZ__\fP", it
means the load is between 2.0 and 3.0 (three kinds of colors)
.SH OPTIONS
.I Xsysinfo
accepts all of the standard X Toolkit command line options, such as
[-font] [-geometry] [-fg] [-bg] ..., plus:
.TP 8
.IR -nice " nice_value"
The nice value it should run at. Default is 5.
.TP 8
.IR -count " iterations"
The number of times it should update the display. Default is forever.
.TP 8
.IR -interval " seconds"
the interval in between updates. Default is 1 second.
.I -filltype
Specify the method 
.B xsysinfo 
should use to fill the bars. Available options include grayscale,
color, tile, stipple, or auto. Auto automatically chooses between tiling,
grayscale, and colour, depending on your display type. Auto is the default.
.TP 8
.I -colors
Specify the colors used to draw the bars. Colors are specified in 
left-to-right order, separated by commas. A single dot can be used to
specify the default color at that position. Up to ten colors may be specified.
Defaults are used for the leftmost colors if less than ten are specified. 
.SH NOTES
.I FreeBSD-2.0 or above is required.
.SH SEE ALSO
xcpustate, xperfmon, xload, xmeter, renice, top
.SH AUTHORS
X-related sources are from xcpustate-2.1 written by jdd@cdf.toronto.edu
(John DiMarco), Mark.Moraes@deshaw.com (Mark Moraes).  Special modified
for FreeBSD by \fIjdli@csie.nctu.edu.tw (Jian-Da Li)\fP
.SH BUGS
I wrote this for my personal use initially.  I know nothing about the 
X-programming and kvm-programming, so this is my first try.  :)
It is NOT optimized, and maybe buggy somewhere.  :)  Maybe someone
should make it cleaner, smaller, and faster.
.PP
.I Xsysinfo
will initially display nonsensical data, for one second, regardless of
the specified interval.
